Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003851Doomseeker[All Projects] Bugpublic2020-07-28 22:022020-08-09 08:59
ReporterfrozenLake 
Assigned ToPol M 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version1.3 
Target Version1.4Fixed in Version 
Summary0003851: Malformed serverinfo data from SRB2 versions > 2.2.6
DescriptionThis problem is similar to the issue seen with SRB2 Kart, except that, since it is now happening to the main version of the game, there are no servers that display correctly.

Most 2.2 servers will not display at all, and the ones that do fail to list any of the files that are loaded, along with the server's name, and... basically any useful information, other than player count and IP. It does not even display the files as corrupted data, like how SRB2 Kart would.
Steps To ReproduceJust open up doomseeker and look for SRB2 Servers.
Additional InformationThe cause of this is due to the format for serverinfo changing between versions. The current version of the serverinfo, structure wise, can be found here.https://github.com/STJr/SRB2/blob/SRB2_release_2.2.6/src/d_clisrv.c#L1832 [^]

The only way to prevent problems like this in the future would be to filter out all servers that do not have a matching version and or packet version, but that would just mean that all the servers would be invisible until the next update of the plugin.
Attached Files

- Relationships
related to 0003852resolvedPol M Doomseeker 1.3.2 release 

-  Notes
User avatar (0021513)
Pol M (developer)
2020-07-30 22:42

I'll take a look tomorrow, thank you for the report, and I'll try to fix this as soon as it is possible. For the meantime, I'm afraid you'll need to disable SRB2 as nothing good can come from malformed data. Have a good summer!
User avatar (0021514)
Pol M (developer)
2020-08-01 12:16

PR Done, I think that this asks for a minor release, I'll let Zalewa decide. On the mean time, you can always build doomseeker yourself and get going with SRB2!
User avatar (0021515)
WubTheCaptain (developer)
2020-08-01 16:28

One line in the commit description exceeds 72 characters, Pol.
User avatar (0021516)
WubTheCaptain (developer)
2020-08-01 16:29

Btw, you seem to be 4 commits behind master. But alright.
User avatar (0021519)
Pol M (developer)
2020-08-01 17:40

Fixed :)
User avatar (0021521)
Zalewa (developer)
2020-08-02 08:00

PR merged
User avatar (0021525)
Pol M (developer)
2020-08-02 18:29
edited on: 2020-08-02 18:30

Considering that it is no longer broken, I think this can be closed :)

It's a pretty trivial change after all :)

User avatar (0021527)
Zalewa (developer)
2020-08-09 08:59

I deployed the updated SRB2 plugin version 15 to the beta and stable auto update channels and also to the site as the Plugin Update 1.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: WubTheCaptain
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2020-07-28 22:02 frozenLake New Issue
2020-07-30 22:42 Pol M Note Added: 0021513
2020-07-30 22:42 Pol M Assigned To => Pol M
2020-07-30 22:42 Pol M Status new => acknowledged
2020-07-30 22:43 Pol M Priority normal => urgent
2020-08-01 12:16 Pol M Note Added: 0021514
2020-08-01 12:17 Pol M Status acknowledged => needs review
2020-08-01 16:28 WubTheCaptain Note Added: 0021515
2020-08-01 16:29 WubTheCaptain Note Added: 0021516
2020-08-01 16:47 WubTheCaptain Relationship added related to 0003852
2020-08-01 17:08 WubTheCaptain Summary Major update to SRB2 has completely broken Doomseeker compatability. => Malformed serverinfo data from SRB2 versions > 2.2.6
2020-08-01 17:40 Pol M Note Added: 0021519
2020-08-02 08:00 Zalewa Note Added: 0021521
2020-08-02 12:19 WubTheCaptain Status needs review => resolved
2020-08-02 12:19 WubTheCaptain Resolution open => fixed
2020-08-02 12:20 WubTheCaptain Status resolved => needs testing
2020-08-02 12:20 WubTheCaptain Resolution fixed => open
2020-08-02 12:28 WubTheCaptain Target Version => 1.4
2020-08-02 18:29 Pol M Note Added: 0021525
2020-08-02 18:30 Pol M Note Edited: 0021525 View Revisions
2020-08-02 18:30 Pol M Status needs testing => resolved
2020-08-02 18:30 Pol M Resolution open => fixed
2020-08-09 08:59 Zalewa Note Added: 0021527






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker